=== debian/changelog ===
kate (4:18.08.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:27:57 +0800

kate (4:18.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Sep 2018 07:22:28 +0200

kate (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the undeed qtscript5-dev build dependency.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Update install files.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 09:44:51 +0200

kate (4:17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Switch the transitional plasma-framework-dev build dependency with
    libkf5plasma-dev.
  * Ship also the translated man pages of kate.
  * Ship the desktop file to enable the Plasma applet katesessions.
  * Do not pass -DPYTHON_LIBRARY=etc anymore to cmake, since it is not used.
  * Remove unused library stuff from debian/rules.
  * Add the "allow-stderr" restriction to the "testsuite" autopkgtest, since
    the tools that run produce output also on stderr.
  * Move the translations and icons of kwrite from kate5-data to kwrite
    - add proper breaks/replaces
  * Move the kate documentation from kate to kate5-data
    - add proper breaks/replaces
  * Remove debian/not-installed, no more useful now.
  * Remove the kde-l10n breaks/replaces from kate, since there is no translated
    material there.
  * Invoke dh_install with --fail-missing, so there is no risk of forgetting
    files.
  * Switch from the libgit2 library to the external git executable for the
    project plugin, since the code using libgit2 was deemed flaky, and removed
    in newer upstream versions
    - remove the libgit2-dev build dependency
    - add the git suggest in kate
  * Add more suggests for tools optionally used in kate: subversion, mercurial,
    darcs, and exuberant-ctags

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 10:52:12 +0100

kate (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n. (Closes: #883102)

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 07:51:36 +0100

kate (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #880173)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Switch the transitional kdoctools-dev build dependency to
    libkf5doctools-dev.
  * Remove unused build dependencies: kio-dev, libkf5notifications-dev, and
    libkf5service-dev.
  * Update lintian overrides.
  * Drop rules to remove files from debian/tmp, since the references files do
    not exist anymore in this source.
  * Update the relationships for spell checking:
    - recommend sonnet-plugins (Closes: #880800)
    - drop the aspell | ispell | hspell suggest

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 13:52:39 +0100

kate (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:53 +0200

kate (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:58:38 +0000

kate (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:32:42 +0000

kate (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:34 +0000

kate (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:26 +0000

kate (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:12:37 +0000

kate (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:58 +0000

kate (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:54 +0000

kate (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:57:07 +0000

kate (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:15:48 +0000

kate (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:24:32 +0000

kate (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:14 +0000

kate (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:16 +0000

kate (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:39 +0000

kate (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 24 Aug 2016 15:16:34 +0000

kate (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:03 +0000

kate (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:45:59 +0000

kate (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 20 May 2016 14:20:45 +0000


