## kate 18.12.3

=== debian/changelog ===
kate (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:26:17 +0000

kate (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:13:40 +0000

kate (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:56 +0000

kate (4:18.12.0-0ubuntu2) disco; urgency=medium

  * Disable test that needs fixing upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 20:43:14 +0000

kate (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:33 +0000

kate (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/tests/testsuite: Keep Kubuntu setup.
    - Bumped build deps.
    - Kubuntu Vcs fields.
    - Breaks/Replaces to suit Kubuntu upload history.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 20:34:04 +0000
