## kate 19.04.3

=== debian/changelog ===
kate (4:19.04.3-0ubuntu2.1) eoan; urgency=medium

  * Backport upstream patch to fix externally opened files no longer
    opening in existing window. (LP: #1849455)
    - debian/patches: upstream_fix-dbus-session-registration.patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 24 Oct 2019 10:56:24 +0100

kate (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Add upstream_fix_missing_includes.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 19:40:10 +0100

kate (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:56 +0100

kate (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:02:13 +0100

kate (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * Drop upstream_fix-finding-test-binaries.patch included in 19.04.1
  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:56 +0100

kate (4:19.04.0-0ubuntu2) eoan; urgency=medium

  * debian/patches: Add upstream_fix-finding-test-binaries.patch
    Upstream KDE CI was allowing tests 'not run' due to failing to find test
    binaries to register as a 'skipped test', and hence CI job status were
    passing and brokenness went unnoticed. Our tests however flagged this as a
    FAIL, prompting this upstream patch to fix finding the test binaries.
    It should be noted that KDE CI tooling has also now been patched so this
    circumstance should not occur again.
  * debian/patches: Update kubuntu_disable-broken-test.patch

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 28 Apr 2019 11:35:56 +0100

kate (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:41:21 +0100
