## kate 19.12.0

=== debian/changelog ===
kate (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - the LSP plugin is enabled by default (Closes: #941255)
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.1
    - bump Qt to 5.10.0
    - bump libkf5dbusaddons-dev to the same version of other KF packages
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Dec 2019 17:08:26 +0100

kate (4:19.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Oct 2019 11:53:48 +0200

kate (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump all the KF5 packages to 5.40.0
    - explicitly add gettext, and libkf5service-dev
  * Drop the migration from kate-dbg, no more needed after two Debian stable
    releases.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Thu, 26 Sep 2019 08:50:28 +0200
