=== debian/changelog ===
kate (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:06:38 +0000

kate (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:17:47 +0000

kate (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:51:45 +0000

kate (4:19.12.0-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu Vcs fields.
    - debian/control: Breaks/Replaces to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Mon, 23 Dec 2019 13:20:10 +0000

kate (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Drop upstream applied patches.
    - remove upstream_fix_KateSessionManagerTest.diff
    - remove upstream_fix_KateSessionsActionTest.diff
  * New upstream release (19.12.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:45:17 +0000

kate (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:30:04 +0000

kate (4:19.08.2-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu Vcs fields.
    - debian/control: Breaks/Replaces to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Oct 2019 11:01:01 +0100

kate (4:19.08.2-0ubuntu1) UNRELEASED; urgency=medium

  [ Rik Mills ]
  * Install new translations.
  * New upstream release (19.08.0)
  * Drop upstream_fix_missing_includes.diff now in source.
  * New upstream release (19.08.1)
  * Follow Debian in dropping tests:
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages.
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as
      they are not run at build time anyway.
    - Drop all patches, as they treid to fix faulty tests.
  * New upstream release (19.08.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Oct 2019 07:49:19 +0000
