=== debian/control ===
--- 
+++ 
@@ -35,8 +35,8 @@
                qtbase5-dev (>= 5.10.0~),
 Standards-Version: 4.4.1
 Homepage: http://kate-editor.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
 
 Package: kate
 Section: editors
@@ -69,8 +69,8 @@
 Package: kate5-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
-Breaks: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
+Replaces: kate (<< 4:18.08.3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
+Breaks: kate (<< 4:18.08.3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
 Description: shared data files for Kate text editor
  This package contains the architecture-independent shared data files needed
  for Kate editor
@@ -79,8 +79,8 @@
 Section: editors
 Architecture: any
 Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
-Breaks: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
-Replaces: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
+Breaks: kate5-data (<< 4:18.08.3~), ${kde-l10n:all}
+Replaces: kate5-data (<< 4:18.08.3~), ${kde-l10n:all}
 Description: simple text editor
  KWrite is a simple text editor built on the KDE Platform. It uses the Kate
  editor component, so it supports powerful features such as flexible syntax
